All games
Loading...
Top modifications
Calendar
    February 2017    →
MoTuWeThFrSaSu
 12345
6789101112
13141516171819
20212223242526
2728 
Do you have a game console?

Better ropes for skyrim 1.1

8 September 2015
info
Author:  xrayy
If you contributed to the creation of this modification and consider that your rights have been violated, please let us know via the feedback form.
Automatic installation This modification can be downloaded as an automatic installer that makes it easy to install the mod into the game (more info)
 Better ropes for skyrim 1.1 for TES V Skyrim
0.93
Required patch Minimum version of the patch, which is necessary for this modification.
MOD replaces textures ropes in game on HD quality for Skyrim.

more interesting →
Posted: YAVIND Downloads: 888 Comments: 0
- +4 +

Revamped Alchemy Lab HD 1.02

8 September 2015
info
Author:  jeclxohko
If you contributed to the creation of this modification and consider that your rights have been violated, please let us know via the feedback form.
Automatic installation This modification can be downloaded as an automatic installer that makes it easy to install the mod into the game (more info)
 Revamped Alchemy Lab HD 1.02 for TES V Skyrim
0.93
Required patch Minimum version of the patch, which is necessary for this modification.
see the full news

more interesting →
Posted: YAVIND Downloads: 511 Comments: 0
- +2 +

Skyrim Script Extender (SKSE) 1.07.03 Beta

17 August 2015
info
If you contributed to the creation of this modification and consider that your rights have been violated, please let us know via the feedback form.
Automatic installation This modification can be downloaded as an automatic installer that makes it easy to install the mod into the game (more info)
 Skyrim Script Extender (SKSE) 1.07.03 Beta for TES V Skyrim
0.93
Required patch Minimum version of the patch, which is necessary for this modification.
This mod required: SKSE for TES V: Skyrim

Skyrim Script Extender (SKSE) is a scripting language for Skyrim, allowing modmejkeram to add many new features and capabilities in the game. This utility requires the latest version of Skyrim.

more interesting →
Posted: YAVIND Downloads: 4296 Comments: 0
- +6 +

Skyrim Script Extender (SKSE) 1.07.02

17 August 2015
info
If you contributed to the creation of this modification and consider that your rights have been violated, please let us know via the feedback form.
Automatic installation This modification can be downloaded as an automatic installer that makes it easy to install the mod into the game (more info)
 Skyrim Script Extender (SKSE) 1.07.02 for TES V Skyrim
0.93
Required patch Minimum version of the patch, which is necessary for this modification.
This mod required: SKSE for TES V: Skyrim

Skyrim Script Extender (SKSE) is a scripting language for Skyrim, allowing modmejkeram to add many new features and capabilities in the game. This utility requires the latest version of Skyrim.

more interesting →
Posted: YAVIND Downloads: 1555 Comments: 0
- +3 +

Replejser Dragon animation 1.3

7 July 2015
info
Author:  yousuke
If you contributed to the creation of this modification and consider that your rights have been violated, please let us know via the feedback form.
Automatic installation This modification can be downloaded as an automatic installer that makes it easy to install the mod into the game (more info)
 Реплейсер анимации драконов 1.3 for TES V Skyrim
0.93
Required patch Minimum version of the patch, which is necessary for this modification.
This MOD will change the standard animation of dragons, which plays when they are on Earth. Animation of flight and other actions that occur in the air — dragons remain original.

Basically changes affect the position of the head of the Dragon — now it won't induce it in front of you.

Updated to 1.3

Fix animations

more interesting →
Posted: MrZookS Downloads: 611 Comments: 0
- +8 +

Fix the textures of grass and stone

2 June 2015
info
Author:  JmV
If you contributed to the creation of this modification and consider that your rights have been violated, please let us know via the feedback form.
Automatic installation This modification can be downloaded as an automatic installer that makes it easy to install the mod into the game (more info)
 Фикс текстуры травы и камня for TES V Skyrim
1.7
Required patch Minimum version of the patch, which is necessary for this modification.
Fix for shifting landscape with grass on the stone, now he's smooth. No conflicts.
Screenshots are put in order before and after that, you saw the difference.

more interesting →
Posted: GODTANZ Downloads: 1897 Comments: 0
- +3 +

Dawnguard unofficial Patch 2.0.9

10 February 2015
info
If you contributed to the creation of this modification and consider that your rights have been violated, please let us know via the feedback form.
Automatic installation This modification can be downloaded as an automatic installer that makes it easy to install the mod into the game (more info)
 Unofficial Dawnguard Patch 2.0.9 for TES V Skyrim
1.7
Required patch Minimum version of the patch, which is necessary for this modification.
This mod required: Dawnguard DLC

see the full news

more interesting →
Posted: EXGRAN Downloads: 1436 Comments: 0
- +2 +

Unofficial Hearthfire Patch 2.0.9

10 February 2015
info
If you contributed to the creation of this modification and consider that your rights have been violated, please let us know via the feedback form.
Automatic installation This modification can be downloaded as an automatic installer that makes it easy to install the mod into the game (more info)
 Unofficial Hearthfire Patch 2.0.9 for TES V Skyrim
1.7
Required patch Minimum version of the patch, which is necessary for this modification.
This mod required: Hearthfire DLC

see the full news

more interesting →
Posted: EXGRAN Downloads: 1367 Comments: 0
- +1 +

Unofficial Dragonborn Patch 2.0.9

10 February 2015
info
If you contributed to the creation of this modification and consider that your rights have been violated, please let us know via the feedback form.
Automatic installation This modification can be downloaded as an automatic installer that makes it easy to install the mod into the game (more info)
 Unofficial Dragonborn Patch 2.0.9 for TES V Skyrim
1.7
Required patch Minimum version of the patch, which is necessary for this modification.
This mod required: Dragonborn DLC

see the full news

more interesting →
Posted: EXGRAN Downloads: 1203 Comments: 0
- +3 +

Unofficial Skyrim Patch 2.0.9

10 February 2015
info
If you contributed to the creation of this modification and consider that your rights have been violated, please let us know via the feedback form.
Automatic installation This modification can be downloaded as an automatic installer that makes it easy to install the mod into the game (more info)
 Unofficial Skyrim Patch 2.0.9 for TES V Skyrim
0.93
Required patch Minimum version of the patch, which is necessary for this modification.
This mod required:
  • Dawnguard DLC
  • Dragonborn DLC
  • Hearthfire DLC

see the full news

more interesting →
Posted: EXGRAN Downloads: 4171 Comments: 0
- 0 +

SkyComplete 1.45

2 February 2015
info
Author:  kefka95
If you contributed to the creation of this modification and consider that your rights have been violated, please let us know via the feedback form.
Automatic installation This modification can be downloaded as an automatic installer that makes it easy to install the mod into the game (more info)
 SkyComplete 1.45 for TES V Skyrim
1.7
Required patch Minimum version of the patch, which is necessary for this modification.
This mod required:
see the full news

more interesting →
Posted: EXGRAN Downloads: 1654 Comments: 0
- +4 +

SKSE-Skyrim Script Extender 1.7.2 Beta

12 January 2015
info
If you contributed to the creation of this modification and consider that your rights have been violated, please let us know via the feedback form.
Automatic installation This modification can be downloaded as an automatic installer that makes it easy to install the mod into the game (more info)
 SKSE - Skyrim Script Extender 1.7.2 Beta for TES V Skyrim
0.93
Required patch Minimum version of the patch, which is necessary for this modification.
This mod required: SKSE for TES V: Skyrim

Skyrim Script Extender (SKSE) is a scripting language for Skyrim, allowing modmejkeram to add many new functions and features in the game. This utility requires the latest version of Skyrim.

Run: to activate the utility, run the file skse_loader.exe.
If you want to create a shortcut on your desktop.
Utility to start the Steam.

more interesting →
Posted: EXGRAN Downloads: 5822 Comments: 0
- +3 +

Ajvarsted by JK 1.0

16 December 2014
info
If you contributed to the creation of this modification and consider that your rights have been violated, please let us know via the feedback form.
Automatic installation This modification can be downloaded as an automatic installer that makes it easy to install the mod into the game (more info)
 Айварстед от JK 1.0 for TES V Skyrim
1.7
Required patch Minimum version of the patch, which is necessary for this modification.
Perfect lornoe improvement Ajvarsteda, adds a lot of new parts, settlement to better surroundings. Does not contain scripts that is beneficial to the compatibility and performance of the game.

Conflicts:
Fashion, changing Ajvarsted, except for the reteksturov

Localization in Russian: EXGRAN

more interesting →
Posted: EXGRAN Downloads: 1192 Comments: 0
- +2 +

Skyrim Script Extender (SKSE) 1.7.1

16 December 2014
info
If you contributed to the creation of this modification and consider that your rights have been violated, please let us know via the feedback form.
Automatic installation This modification can be downloaded as an automatic installer that makes it easy to install the mod into the game (more info)
 Skyrim Script Extender (SKSE) 1.7.1 for TES V Skyrim
0.93
Required patch Minimum version of the patch, which is necessary for this modification.
This mod required: SKSE for TES V: Skyrim

The program required for script modifications in Skyrim.

After you install the game, you need to run the file skse_loader.exe, you can find it in the folder with the game.

Version of the game should be no lower than 1.9.32.0.

more interesting →
Posted: EXGRAN Downloads: 20110 Comments: 0
- +4 +